
Katello - Bug #22599

tabindexes in forms should be properly set

02/15/2018 07:25 PM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello Backlog   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1544660 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

In many forms in webUI there are missing tabindexes set for submit buttons (and also cancel buttons).

So if users fill the form and reach the last input field, then they cannot use TAB + ENTER to submit the form, because focus jumps

somewhere else.

As example see these pages:

Content > GPG Keys > Create GPG Key (/gpg_keys/new)

Content > Lifecycle Environment > Create Environment Path (/lifecycle_environments/lifecycle_environments/1/new)

Content > Sync Plans > Create Sync Plan (/sync_plans/sync_plans/new)

Content > Content Views > Create New View (/content_views/new)

Version-Release number of selected component (if applicable):

katello-3.4.5-15.el7sat.noarch

foreman-1.15.6.34-1.el7sat.noarch

How reproducible:

always

Steps to Reproduce:

1. open one of the pages mentioned above

2. fill the form, navigate through it using TAB

3. see that Submit button is skipped

Additional info:

When tabindexes are not set at all

for example: Content > Products > Create Product (/products/new)

then Submit button is not skipped and all work just fine.

History

#1 - 02/21/2018 06:51 PM - Justin Sherrill

- Subject changed from tabindexes in forms should be properly set

 to tabindexes in forms should be properly set

- Target version set to 219

- translation missing: en.field_release set to 114

#2 - 06/18/2018 08:57 PM - Walden Raines

- Target version deleted (219)

#3 - 08/27/2019 05:50 PM - John Mitsch

- Difficulty set to easy
